Chuyển đến nội dung
Diễn đàn CADViet
Phidoi_gabay

Lệnh che đối tượng khác khi nó đè lên????

Các bài được khuyến nghị

Hi all !

E làm kết cấu nên cũng ít dùng cái lệnh Wipeout. Nhưng e thấynếu muốn che đưọc nhiều đối tưọng thì cũng phải ngồi vẽ cái wipeout nhiều, hjx cũng mệt ra trò :s_dead: .Có bác nào có cách làm sao chỉ cần chọn đối tượng hiện lên trên là đc ? nghĩa là mình ko phải trim những đối tượng mà hình nó đi qua . Các bác giúp e vụ này với. Thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hi all !

E làm kết cấu nên cũng ít dùng cái lệnh Wipeout. Nhưng e thấynếu muốn che đưọc nhiều đối tưọng thì cũng phải ngồi vẽ cái wipeout nhiều, hjx cũng mệt ra trò :s_dead: .Có bác nào có cách làm sao chỉ cần chọn đối tượng hiện lên trên là đc ? nghĩa là mình ko phải trim những đối tượng mà hình nó đi qua . Các bác giúp e vụ này với. Thanks

Bạn không dùng wipeout thì không còn cái nào dùng đâu .

Muốn che cái ở dưới thì cái ở trên nó phải là một vùng kín , khi in ra nó vẫn là một nét vẽ . chỉ lệnh wipeout làm được điều đó thôi ah .

bạn vào tool > draw oder > send to back or send to front .

Cái này cũng làm nó lên trên hay xuống dưới theo lớp đó .

hì . good luck

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hi all !

E làm kết cấu nên cũng ít dùng cái lệnh Wipeout. Nhưng e thấynếu muốn che đưọc nhiều đối tưọng thì cũng phải ngồi vẽ cái wipeout nhiều, hjx cũng mệt ra trò :s_dead: .Có bác nào có cách làm sao chỉ cần chọn đối tượng hiện lên trên là đc ? nghĩa là mình ko phải trim những đối tượng mà hình nó đi qua . Các bác giúp e vụ này với. Thanks

Còn 1 cách này mình hay làm với các block thiết bị nội thất và WC để che đi các đối tượng phía dưới thay cho đối tượng wipeout là dùng hatch solid và để màu kiểu true color.

Xem file này bạn sẽ hiểu vấn đề.

http://www.cadviet.com/upfiles/BAN_VE_MAU_01.dwg

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn không dùng wipeout thì không còn cái nào dùng đâu .

Muốn che cái ở dưới thì cái ở trên nó phải là một vùng kín , khi in ra nó vẫn là một nét vẽ . chỉ lệnh wipeout làm được điều đó thôi ah .

bạn vào tool > draw oder > send to back or send to front .

Cái này cũng làm nó lên trên hay xuống dưới theo lớp đó .

hì . good luck

Cả 2 cái đó e biết rồi !! E nghĩ phải có cách hay hơn chứ ?? Bgio mà muốn che nhiều đối tưọgn, ngồi Wipeout chắc hết ngày quá !!! :s_dead:

Cách of Pac' GP 14 ý, thì chính là bring to front. Ví dụ e muốn làm thế này nhé ! E có mặt đứng kiến trủôìi. Bgio e chèn thêm cái cửa phía trên mặt đứng nữa nếu ngồi trim các đối tượng mà cái cửa đè lến - chắc cũng hết tuần. dùng Wipeout thì cũng mất tg ko kém. Ý e là vậy đó. Thanks các pác đã quan tâm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cả 2 cái đó e biết rồi !! E nghĩ phải có cách hay hơn chứ ?? Bgio mà muốn che nhiều đối tưọgn, ngồi Wipeout chắc hết ngày quá !!! :s_dead:

Cách of Pac' GP 14 ý, thì chính là bring to front. Ví dụ e muốn làm thế này nhé ! E có mặt đứng kiến trủôìi. Bgio e chèn thêm cái cửa phía trên mặt đứng nữa nếu ngồi trim các đối tượng mà cái cửa đè lến - chắc cũng hết tuần. dùng Wipeout thì cũng mất tg ko kém. Ý e là vậy đó. Thanks các pác đã quan tâm

 

Dùng thử thêm lệnh EXtrim đi. mà bạn trim mấy đối tượng như thế làm gì mà hết những "1 tuần" :s_dead:

Lệnh Wipeout cũng đâu có chậm nhỉ. gõ lệnh, enter 2 lần, chọn khung cửa của bạn, ok. xong

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Dùng thử thêm lệnh EXtrim đi. mà bạn trim mấy đối tượng như thế làm gì mà hết những "1 tuần" :s_dead:

Lệnh Wipeout cũng đâu có chậm nhỉ. gõ lệnh, enter 2 lần, chọn khung cửa của bạn, ok. xong

 

Thanks các bạn đã trả lời. Đó là giải pháp , nhưng chưa tối ưu bạn ạ ! Thứ nhất, mất tg cho việc cắt Trim or Extrim. Thứ 2 : Vì cái mặt đứng đó còn dùng cho cái khác nữa. Nếu cắt đi biết sao đây. Đương nhiên có thể coppy ra nhiều bản khác. Vì mình nghe giang hồ đồn rằng có lệnh chỉ tích vào chọn đối tưọng sẽ cho phép che những đối tượng khác. Rất tiếc bạn đó ko nhớ, ko biết là lisp hay lệnh cad. Dù sao cũng cảm ơn cả nhà đã comment. Thanks all !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đây đâu phải chỗ để che đậy đối tượng gì đâu, bạn phải vào chuyên mục khác chứ, chán !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thanks các bạn đã trả lời. Đó là giải pháp , nhưng chưa tối ưu bạn ạ ! Thứ nhất, mất tg cho việc cắt Trim or Extrim. Thứ 2 : Vì cái mặt đứng đó còn dùng cho cái khác nữa. Nếu cắt đi biết sao đây. Đương nhiên có thể coppy ra nhiều bản khác. Vì mình nghe giang hồ đồn rằng có lệnh chỉ tích vào chọn đối tưọng sẽ cho phép che những đối tượng khác. Rất tiếc bạn đó ko nhớ, ko biết là lisp hay lệnh cad. Dù sao cũng cảm ơn cả nhà đã comment. Thanks all !
Dùng thử thêm lệnh EXtrim đi. mà bạn trim mấy đối tượng như thế làm gì mà hết những "1 tuần" :s_dead:

Lệnh Wipeout cũng đâu có chậm nhỉ. gõ lệnh, enter 2 lần, chọn khung cửa của bạn, ok. xong

Chào 'Phidoi_gabay'

1. Đầu tiên Tue_NV khuyên bạn nên post bài đúng chủ đề.

2. Lisp này sẽ giải quyết yêu cầu của bạn

- Chọn các đối tượng Pline kín -> Lisp sẽ thực hiện công việc là các đối tượng kín Pline sẽ che các đối tượng khác

Thử xem.

(defun c:che()

(setq ss (ssget '((0 . "LWPOLYLINE"))) i 0)

(while (< i (sslength ss))

 

(setq e (ssname ss i))

(command "pedit" "m" e "" "c" "")

(Command "wipeout" "" e "y")

(setq i (1+ i))

)

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào 'Phidoi_gabay'

1. Đầu tiên Tue_NV khuyên bạn nên post bài đúng chủ đề.

2. Lisp này sẽ giải quyết yêu cầu của bạn

- Chọn các đối tượng Pline kín -> Lisp sẽ thực hiện công việc là các đối tượng kín Pline sẽ che các đối tượng khác

Thử xem.

(defun c:che()

(setq ss (ssget '((0 . "LWPOLYLINE"))) i 0)

(while (< i (sslength ss))

 

(setq e (ssname ss i))

(command "pedit" "m" e "" "c" "")

(Command "wipeout" "" e "y")

(setq i (1+ i))

)

(princ)

)

Bạn Tue_NV ơi với đường tròn thì sao? không phải LWPLYLINE nó không nhận.

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn Tue_NV ơi với đường tròn thì sao? không phải LWPLYLINE nó không nhận.

 

Muốn làm được với đường tròn bạn hãy vẽ Polygon n cạnh(Bản chất của đường tròn là đa giác n cạnh mà).

:undecided:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hi all !

E làm kết cấu nên cũng ít dùng cái lệnh Wipeout. Nhưng e thấynếu muốn che đưọc nhiều đối tưọng thì cũng phải ngồi vẽ cái wipeout nhiều, hjx cũng mệt ra trò wink.gif .Có bác nào có cách làm sao chỉ cần chọn đối tượng hiện lên trên là đc ? nghĩa là mình ko phải trim những đối tượng mà hình nó đi qua . Các bác giúp e vụ này với. Thanks

 

Tô i có câu hỏi gần giống bạn và có sưu tầm được một file nhưng không hiểu người ta đã làm được bằng cách nào, nhờ mọi người chỉ dùm. Trong file các đối tượng nằm bên dưới (phần hiện trạng) đã được che đi mà không phải trim chặt gì cả.

http://www.cadviet.c...830_matbang.rar

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tại người ta đã dùng lệnh wipeout cho pline đó. Bạn xem trên bản vẽ sẽ thấy 1 pline và 1 wipeout trùng lên nhau. thử xoá chúng đi sẽ thấy ngay.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

tạo các vùng kín cần che, dùng wipeout tạo vùng che, và off các frame trong wipeout nữa


ngoài ra còn kết hợp các lệnh khác như : layfrz, layoff nữa để ẩn hoặc tắt 1 số layer hiện hành nữa


Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×